Skip to main content
POST
New Credit Recharge

Endpoint Overview

POST https://api.unibee.dev/merchant/credit/new_credit_recharge New Credit Recharge

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

New Credit Recharge

gatewayId
integer<int64>
required
rechargeAmount
integer<int64>
required
cancelUrl
string<string>

CancelUrl

creditAccountId
integer<int64>

id of credit account, either userId&currency or creditAccountId

currency
string<string>

currency of recharge

description
string<string>

recharge description

name
string<string>

recharge name

returnUrl
string<string>

ReturnUrl

userId
integer<int64>

id of user to recharge, either userId&currency or creditAccountId

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>